Skip to main content
GET
/
folders
List folders
curl --request GET \
  --url https://api.linkutm.com/api/v1/folders \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "fld_01hx9ab3cd4ef5gh6ij7kl",
    "name": "Q2 Campaigns",
    "parentId": "<string>",
    "workspaceId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login.

Headers

x-workspace-id
string

The workspace to operate in. Required when authenticating with a JWT token. Optional when using an API key — the workspace is automatically resolved from the key itself.

Example:

"ws_01hx9ab3cd4ef5gh6ij7kl"

Response

Folder tree

id
string
Example:

"fld_01hx9ab3cd4ef5gh6ij7kl"

name
string
Example:

"Q2 Campaigns"

parentId
string | null
workspaceId
string
createdAt
string<date-time>